+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 12
  1. #1
    Full Member
    Using
    AutoCAD 2009
    Join Date
    Mar 2005
    Posts
    46

    Default Leader/text to multileader

    Registered forum members do not see this ad.

    I'm looking for a way to convert leader and text that is separate into a multileader where the text is attached to the leader. We just updated to new standards using the multileader and all the old stuff is not attached.

    I'm using AutoCad 2009.

    Thanks in advance.

  2. #2
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

  3. #3
    Full Member
    Using
    AutoCAD 2009
    Join Date
    Mar 2005
    Posts
    46

    Default

    Quote Originally Posted by lpseifert View Post
    That is exactly what I was looking for. You just made my life here so much easier!

    Thanks so much!

  4. #4
    Forum Deity NBC's Avatar
    Using
    AutoCAD 2009
    Join Date
    Aug 2007
    Location
    Manchester, UK
    Posts
    2,109

    Default

    Be aware when using that routine that the exact positioning of the Multi-Leader Text that replaces the QLeader Text may not be at the same point.
    Life's constantly changing - keep up or get left behind

  5. #5
    Full Member
    Using
    AutoCAD 2009
    Join Date
    Mar 2005
    Posts
    46

    Default

    Quote Originally Posted by NBC View Post
    Be aware when using that routine that the exact positioning of the Multi-Leader Text that replaces the QLeader Text may not be at the same point.
    Thanks for your concern but the text is actually attaching right where I need it to. (Or should I say where the company wants it to)

    I'm not sure I like where the text attaches (In the middle of the note) because to me it goes against all drafting practices that I was taught years ago.

  6. #6
    Forum Newbie
    Using
    AutoCAD 2011
    Join Date
    Dec 2011
    Location
    Saddle Brook, NJ
    Posts
    2

    Default Does it works in 2012?

    Hi I am using 2012 and after selecting the leader + text is asking for location and then again for text.

  7. #7
    Forum Deity Organic's Avatar
    Discipline
    Civil
    Using
    AutoCAD not applicable
    Join Date
    Feb 2009
    Posts
    2,338

    Default

    Quote Originally Posted by Bigbongo View Post
    Hi I am using 2012 and after selecting the leader + text is asking for location and then again for text.
    It works.

    I wouldn't say its that accurate with regards to the justification as above though.

  8. #8
    Forum Newbie
    Using
    AutoCAD 2011
    Join Date
    Dec 2011
    Location
    Saddle Brook, NJ
    Posts
    2

    Default

    Hi "super member", can you be a little more explicit? Justification is not important now, however put together leader + text will be very useful to update old dwg. I am missing something??? I am selecting the old leader with no place for text, just the arrow and the text is a multitext entity. Please let me know TX

    Newbie member!!!

  9. #9
    Forum Newbie
    Using
    AutoCAD 2015
    Join Date
    Jun 2008
    Posts
    5

    Default

    Hello all, this lisp works great but i would like to know if someone can do a slight modification. The reason i am using this lisp is because i have many drawings where the leaders have been exploded. So i would like to replace the text and exploded leaders with multileaders. I wont the new multileader to be in the same place as the old one so what i would like to do is pick the leaders to delete but not actually delete them until i can pick the points to where they are for the new leader. This way i don't lose the existing position of the existing leaders. I hope this make sense. Can anyone help me with this. The lisp is below.

    (defun c:am (/ newleader pt1 pt2 ss txt x w rjp-getbbwdth)
    (vl-load-com)
    (defun rjp-getbbwdth (obj / out ll ur)
    (vla-getboundingbox obj 'll 'ur)
    (setq out (mapcar 'vlax-safearray->list (list ll ur)))
    (distance (car out) (list (caadr out) (cadar out)))
    )
    (if (setq ss (ssget '((0 . "*TEXT"))))
    (progn (setq txt (apply
    'strcat
    (mapcar
    'cdr
    (vl-sort
    (mapcar '(lambda (x)
    (cons (vlax-get x 'insertionpoint)
    (strcat (vlax-get x 'textstring) " ")
    )
    )
    (setq
    ss (mapcar
    'vlax-ename->vla-object
    (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
    )
    )
    )
    (function (lambda (y1 y2) (< (cadr (car y2)) (cadr (car y1))))
    )
    )
    )
    )
    w (car (vl-sort (mapcar 'rjp-getbbwdth ss) '>))
    txt (apply 'strcat
    (mapcar 'chr (reverse (cdr (reverse (vl-string->list txt)))))
    )
    )
    (mapcar 'vla-delete ss)
    )
    )
    (if (and (setq pt1 (getpoint "\nSpecify leader arrowhead location: "))
    (setq pt2 (getpoint pt1 "\nSpecify landing location: "))
    )
    (progn (command "._MLEADER" pt1 pt2 "")
    (setq newleader (vlax-ename->vla-object (entlast)))
    (vla-put-textstring newleader txt)
    (vla-put-textwidth newleader w)
    )
    )
    (princ)
    )

  10. #10
    Super Moderator SLW210's Avatar
    Computer Details
    SLW210's Computer Details
    Operating System:
    Windows 7 PRO 64-bit
    Computer:
    IBM Lenovo
    Motherboard:
    ACPI x64
    CPU:
    Pentium(R) i5 4570 @ 3.2GHz
    RAM:
    8 GB RAM
    Graphics:
    Nvidia Quadro 600 1GB
    Primary Storage:
    300 GB
    Secondary Storage:
    650GB
    Monitor:
    2x ThinkVision 24"
    Discipline
    Multi-disciplinary
    SLW210's Discipline Details
    Occupation
    Design Draftsman
    Discipline
    Multi-disciplinary
    Details
    Mostly do drafting related to manufacturing. From doing site layouts with proposed updates, additions and renovations to be budgeted and submitted for bid, to updating and changing existing drawings to reflect maintenance and repair/revision work done on site.
    Using
    AutoCAD 2011
    Join Date
    May 2007
    Location
    South Florida, USA
    Posts
    11,720

    Default

    Registered forum members do not see this ad.

    Please read the Code Posting Guidelines and edit your Code to be included in Code Tags.[CODE]Your Code Here[/CODE] =
    Code:
    Your Code Here
    “A narrow mind and a fat head invariably come on the same person” Zig Zigler



Similar Threads

  1. Multileader text
    By alijahed in forum AutoCAD General
    Replies: 5
    Last Post: 2nd Mar 2009, 09:58 am
  2. Cannot Edit Multileader Text
    By rustysilo in forum AutoCAD General
    Replies: 7
    Last Post: 2nd Feb 2009, 04:38 pm
  3. Autocad 2008 - Multileader Text Styles
    By nycadguy in forum AutoCAD General
    Replies: 15
    Last Post: 11th Dec 2008, 07:50 pm
  4. Multileader text at arrowhead end?
    By bbohannon1 in forum AutoCAD General
    Replies: 0
    Last Post: 13th Oct 2008, 07:11 pm
  5. MultiLeader text frame
    By lpseifert in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 0
    Last Post: 18th Jun 2008, 04:49 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts